/// #pkgName FGUI包名
/// #panelName UIPanel名字
/// #UIName = $"{#pkgName}{#panelName}" UIKey名字
/// 该脚本由模板创建
/// created by cb 2024

using XGame.Framework.UI;

namespace FL.FGUI
{
    public static partial class UIKeys
    {
        private static UIKey _MainBossLaiXi;
        public static UIKey MainBossLaiXi => _MainBossLaiXi ?? (_MainBossLaiXi = new UIKey("Main", "BossLaiXi", typeof(MainBossLaiXiView)));
    }
    public partial class MainBossLaiXiView : UIView
    {
        public static UILayer Layer => UILayer.Popup;
        protected override void AddController(IUIControllerGroup group)
        {
            group.Add(new MainBossLaiXiCtrl());
        }

        protected override IUIViewModel CreateViewModel()
        {
            return new MainBossLaiXiVM();
        }

        protected override void OnDispose()
        {
        }
    }
}

